|
|
ab0e4d |
From 6616132de5ec2991e0b55eca6e9d12e50f7be293 Mon Sep 17 00:00:00 2001
|
|
|
ab0e4d |
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
|
|
|
ab0e4d |
Date: Fri, 8 Nov 2019 10:53:41 +0700
|
|
|
ab0e4d |
Subject: [PATCH] multipath: require kpartx binary
|
|
|
ab0e4d |
|
|
|
ab0e4d |
multipath requires kpartx to activate device mapper.
|
|
|
ab0e4d |
But kpartx is only a recommend dependency.
|
|
|
ab0e4d |
|
|
|
ab0e4d |
Check for kpartx's existent first.
|
|
|
ab0e4d |
|
|
|
ab0e4d |
Signed-off-by: Doan Tran Cong Danh <congdanhqx@gmail.com>
|
|
|
ab0e4d |
(cherry picked from commit cf31ed2ae687d9898cafc11ec6e4f478e806ad38)
|
|
|
ab0e4d |
|
|
|
ab0e4d |
Resolves: #1888779
|
|
|
ab0e4d |
---
|
|
|
ab0e4d |
modules.d/90multipath/module-setup.sh | 1 +
|
|
|
ab0e4d |
1 file changed, 1 insertion(+)
|
|
|
ab0e4d |
|
|
|
ab0e4d |
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
|
|
|
ab0e4d |
index f825c00c..2b9a3166 100755
|
|
|
ab0e4d |
--- a/modules.d/90multipath/module-setup.sh
|
|
|
ab0e4d |
+++ b/modules.d/90multipath/module-setup.sh
|
|
|
ab0e4d |
@@ -29,6 +29,7 @@ check() {
|
|
|
ab0e4d |
|
|
|
ab0e4d |
# if there's no multipath binary, no go.
|
|
|
ab0e4d |
require_binaries multipath || return 1
|
|
|
ab0e4d |
+ require_binaries kpartx || return 1
|
|
|
ab0e4d |
|
|
|
ab0e4d |
return 0
|
|
|
ab0e4d |
}
|
|
|
ab0e4d |
|